Support » Fixing WordPress » Revert WP 5.3 back to version 4.9

  • voodoochill

    (@voodoochill)


    Does anyone know and able to tell me an easy and safe way to revert a site from 5.3.2 back to 4.9?

    And to save peoples’ time, yes I am aware of the Classic Editor plugin – I just want to revert to 4.9

Viewing 2 replies - 1 through 2 (of 2 total)
  • JNashHawkins

    (@jnashhawkins)

    This plugin is what I’ve used in the past…

    https://wordpress.org/plugins/wp-downgrade/

    Do a complete backup of files and database for safety’s sake! I use UpdraftPlus for that.

    https://wordpress.org/plugins/updraftplus/

    I think the latest, greatest release of the 4.9.x branch is 4.9.13.

    If this is a deprecated functionality issue you might want to try installing the Classic Editor plugin if you wish to get that back. I run the Tiny MCE Advanced plugin with that and add the https://github.com/dartiss/restore-lost-functionality plugin to bring back features the newer WordPress versions have deprecated.

    I use the above setup with my two fairly complicated multisites running the latest, greatest 5.X versions and love it.

    Do run the 7.2.x plus branches of PHP… I think 7.4 is out now if your host has it.

    voodoochill

    (@voodoochill)

    If this is a deprecated functionality issue you might want to try installing the Classic Editor plugin i

    Yes I’ve tried that. On some other sites I am happily using Classic Editor or Gutenberg, it’s just this one site where the blocks don’t suit my style of writing/coding and I’m aware that Classic Editor has a limited lifespan. I also have a feeling the site has slowed down, so being able to revert to 4.9.9. will allow me to do some comparison tests.

    Some pages that I edited after converting to blocks ended up being a bit of a nightmare so basically I just wantb to go back as I don’t currently have the time to get to grips with sorting those issues.

    If 4.9.9 ever becomes incpmpatible with my plugins is EOL, hopefully be then I may have sorted out the blocks issues and if not then evalaute what I do going forward.

    I am using PHP 7.3

    many thanks for the link I’ll try that.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.